> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Save a draft message as a prepared message > Saves draft message as a prepared message. The channel ID is available at the "Information" panel for each channel, at "Administration > Channels". ## OpenAPI ````json GET /draftmessage/saveAsPreparedMessage { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/draftmessage/saveAsPreparedMessage": { "get": { "tags": [ "Draft Message" ], "summary": "Save a draft message as a prepared message", "description": "Saves draft message as a prepared message. The channel ID is available at the \"Information\" panel for each channel, at \"Administration > Channels\".", "operationId": "saveAsPreparedMessage", "parameters": [ { "name": "draftMessageId", "in": "query", "description": "The draft message to be used in creating the prepared message", "required": true, "schema": { "type": "integer", "format": "int64" } }, { "name": "groupId", "in": "query", "description": "The id of the group to perform sendout on", "required": true, "schema": { "type": "integer", "format": "int64" } }, { "name": "channelId", "in": "query", "description": "The channel id associated with the message", "schema": { "type": "integer", "format": "int64" } }, { "name": "senderProfile", "in": "query", "description": "Optional TLS sender profile. Used only when non-blank. Requires a Feature Switch and setting up a profile name in Mapp Engage.", "schema": { "type": "string" } } ], "responses": { "200": { "description": "successful operation", "content": { "application/octet-stream": { "schema": { "type": "string" } } } }, "204": { "description": "", "content": { "application/octet-stream": {} } }, "400": { "description": "", "content": { "application/octet-stream": {} } } } } } } } ````